Skip to Content
author's profile photo Former Member
Former Member

.Net-Integration doesn't work

Hi,

i have a lot of problems with the PDK 2.5. Nothing really works. I get a lot of runtime exceptions when using the created pages and some of the GUI elements even don't work (i use Visual Studio 2005 and i redeployed the two PDK-SDAs).

In a previous thread i read that the PDK does not support NetWeaver 2004s SP7 and SP8. So what can i do? Where can i find out what portal version is installed.

Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

3 Answers

  • Best Answer
    Posted on Sep 05, 2006 at 07:07 AM

    Hi Marc,

    In order to find out what Portal version is installed:

    1. Navigate to http://[host]:[port]/index.html

    2. Click on System Information

    3. In the table "Software Components" you see the version

    SAP is planning to provide ( very soon ) a fix for PDK 2.5 that will enable working with NW04s SP9 or higher.

    Regards,

    Rima.

    Add a comment
    10|10000 characters needed characters exceeded

  • author's profile photo Former Member
    Former Member
    Posted on Oct 13, 2006 at 11:19 PM

    Did you ever get a resolution to this problem? If so, could you post the resolution. I am having a similiar issue.

    Regards,

    Jason

    Add a comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi,

      great, thanks for the information. It seems to be working partially. I deployed the SAP_JTECHS sca file manually and resumed the deploying of SP9. This time i didn't get an error message when deploying the KMC components. It seems all components have been deployed succesfully. However i got an error message at the end of the deployment:

      java.lang.IllegalStateException: ActionStateUpdater.getStateForFurtherSCAction: Couldn't find any of the known states in groupedStatesSet

      I traced the problem back to a SDM logfile that tells me "no available running server node". Maybe this error message occured when the JSPM restarted the J2EE engine.

      I checked the SDM for the deployed SP9 components and coudln't find any problem. The portal itself seems to work properly. Even the WebDynpro applications are running. At the moment i don't know whether the portal is ok or not.

      Oh ... the SAP.NET checkbox and the tabstrip are working now. It seems the PDK runs more stable.

      (I would give you more forum points for your posting but there are only two left.)

  • author's profile photo Former Member
    Former Member
    Posted on Sep 05, 2006 at 07:32 AM

    I have version 7.00 SP8 (1000.7.00.8.0.20060608124100) installed. This means NetWeaver2004s SP8?! So i have to wait until SAP releases a fix and then i have to upgrade to SP9?! Uargl...

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.